Table of Contents

Class: XMLRPC | Twisted-0.17.4/twisted/web/xmlrpc.py
--- | ---

### A resource that implements XML-RPC.

You probably want to connect this to `/RPC2`.

Base Classes |
--- | ---
resource.Resource

Methods |
--- | ---
__init__ _getFunction render requestFinished
| __init__

    __init__ ( self )

| _getFunction

    _getFunction ( self,  functionPath )

### Given a string, return a function, or raise NoSuchFunction.

This returned function will be called, and should return the result of the call, a Deferred, or a xmlrpclib.Fault instance.

Override in subclasses if you want your own policy. The default policy is that given functionPath `foo`, return the method at self.xmlrpcfoo, i.e. getattr(self, "xmlrpc" + functionPath).

Exceptions |
--- | ---
xmlrpc.NoSuchFunction

| render

    render ( self,  request )

| requestFinished

    requestFinished ( self,  request )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:53 2002 by HappyDoc version 2.0